---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: grafana-alloy
  namespace: flux-system
spec:
  dependsOn:
    - name: external-secrets

  interval: 50m

  sourceRef:
    kind: ${_core_repo_kind:-GitRepository}
    name: core-addons

  serviceAccountName: kustomize-controller

  path: "./infrastructure/grafana-alloy/<provider>"
  prune: true

  postBuild:
    substituteFrom:
      - kind: ConfigMap
        name: cluster-vars
